<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace app\common\state;

/**
 * Description of AllowanceStateEnum
 *
 * @author sgq
 */
class AllowanceStateEnum {

    const NOTPASS = -1;
    const SAVE = 1;
    const NEED_GENERAL_CHECK = 3;
    const NEED_CHECK = 5;
    const GENERAL_REJECT = 8;
    const FIRST_REJECT_BRANCH = 9;
    const FIRST_REJECT = 10;
    const REJECT_TO_FIRST = 13;
    const NEED_VISIT_CHECK = 15;
    const NEED_REVIEW = 20;
    const REVIEW_REJECT = 25;
    const REVIEW_PASS = 30;
    const PUBLIC_REJECT = 35;

    static function getStateName($code) {
        switch ($code) {
            case self::NOTPASS:
                return "审核不通过";
            case self::SAVE:
                return "待提交";
            case self::NEED_GENERAL_CHECK:
                return "待总院审核";
            case self::NEED_CHECK:
                return "待审核";
            case self::GENERAL_REJECT:
                return "总院驳回";
            case self::FIRST_REJECT_BRANCH:
                return "初审驳回到分院";
            case self::FIRST_REJECT:
                return "初审驳回";
            case self::REJECT_TO_FIRST:
                return "驳回(至初审)";
            case self::NEED_VISIT_CHECK:
                return "待走访";
            case self::NEED_REVIEW:
                return "待复核";
            case self::REVIEW_REJECT:
                return "已驳回(至走访核查)";
            case self::REVIEW_PASS:
                return "审核通过";
            case self::PUBLIC_REJECT:
                return "已驳回(至复核)";
            default:
                return "";
        }
    }

}
